/*
 * BasicStatement.h
 *
 *  Created on: Dec 5, 2012
 *      Author: attero
 */

#ifndef BASICSTATEMENT_H_
#define BASICSTATEMENT_H_
#include <iostream>
#include "ASTExpression.h"
#include "ASTStatement.h"

class BasicStatement : public ASTStatement {
public:
	BasicStatement(ASTNode * parent);
	virtual std::string debug();
	void add_expression(ASTExpression * expr);
	virtual void execute();
	virtual ~BasicStatement();
};

#endif /* BASICSTATEMENT_H_ */
